Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
pdumodel::TransferSwitch_4_0_4::TransferLogEntry Struct Reference

Transfer log entry. More...

`import"TransferSwitch.idl";`

## Public Attributes
time | timestamp
| Time of the transfer.
int | oldInlet
| Active inlet before transfer (0 for none)
int | newInlet
| Active inlet after transfer (0 for none)
TransferReason | reason
| Transfer reason.
vector< WaveformSample > | waveform
| Voltage and current waveforms.
Statistics | statistics
| Transfer statistics.
int | switchFault
| Switch fault status.

## Detailed Description

Transfer log entry.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/TransferSwitch.idl